import 'package:auth_flutter/extension/string.dart';
import 'package:auth_flutter/src/auth_api.dart' as pigeon;

class IamToken {
  final String id;
  final String accessToken;
  final String refreshToken;
  final int expiresIn;
  final String tokenType;

  IamToken(this.id, this.accessToken, this.refreshToken, this.expiresIn, this.tokenType);

  static IamToken createFromPigeonIamToken(pigeon.IamToken pigeonIamToken) {
    return IamToken(
      pigeonIamToken.id.orEmpty,
      pigeonIamToken.accessToken.orEmpty,
      pigeonIamToken.refreshToken.orEmpty,
      pigeonIamToken.expiresIn ?? 0,
      pigeonIamToken.tokenType.orEmpty,
    );
  }
}
