import 'package:auth_flutter/extension/string.dart';
import 'package:auth_flutter/src/auth_api.dart' as pigeon;

class IdToken {
  final String idToken;
  final String accessToken;
  final String refreshToken;
  final int expiresIn;
  final String tokenType;

  IdToken(this.idToken, this.accessToken, this.refreshToken, this.expiresIn, this.tokenType);

  static IdToken createFromPigeonIamToken(pigeon.IdToken pigeonIdToken) {
    return IdToken(
      pigeonIdToken.idToken.orEmpty,
      pigeonIdToken.accessToken.orEmpty,
      pigeonIdToken.refreshToken.orEmpty,
      pigeonIdToken.expiresIn ?? 0,
      pigeonIdToken.tokenType.orEmpty,
    );
  }
}
